Skip to main content

Set group member profile

This API allows you to configure profile information for group members, including nicknames and additional details.

Enabling the Service​

Before using this feature, you must enable the profile hosting service by submitting a ticket.

Request method​

POST: https://data center domain/entrust/group/member/set.json

Rate limit: 100 requests per second

Signature rules: All server API requests require signature verification. See API request signature.

Body parameters​

The HTTP request body uses application/x-www-form-urlencoded format and supports these form parameters:

ParameterTypeRequiredDescription
groupIdStringYesGroup ID
userIdStringYesGroup member ID
nicknameStringYesMember nickname (max 64 characters)
extraStringNoAdditional information (max 128 characters)

Request example​

POST /entrust/group/member/set.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

groupId=groupId1&userId=u01&nickname=nickname1

Response​

The HTTP response body contains a JSON object with this structure:

FieldTypeDescription
codeNumberStatus code (200 indicates success)

Response example​

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 200
}